Subject: Re: bug#63357: [PATCH] gnu: swaylock: Add linux-pam to inputs

From: muradm <[email-masked]>
Date: Mon, 22 May 2023 22:33:02 +0300

Hi,

I would suggest to go forward with fixing 
screen-locker-service-type.
Root cause of issue is explained within the commit message of:
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63652

muradm

"Benjamin" <[email-masked]> writes:

> Hello,
>
>> One of our colleagues mentioned that it's a breaking change and 
>> swaylock
>> with pam backend will complain if suid is set, so the old 
>> setups with
>> (screen-locker-service swaylock) will break after this commit.
>>
>> Do we want to document how to configure pam for swaylock in 
>> manual and
>> add a news entry for this change?
>
> First of all sorry for the breaking change.
>
> I am pretty new to guix and did not know about 
> screen-locker-service.
> How I managed to make this to work is by setting a custom pam 
> system
> service :
>
> (define-public swaylock-pam-service-type
>   (service-type (name 'swaylock)
>                 (extensions (list (service-extension 
>                 pam-root-service-type
>                                                      (const 
>                                                      (list 
>                                                      (pam-service
>                                                                    (name 
>                                                                    "swaylock")
>                                                                    (auth 
>                                                                    (list
>                                                                           (pam-entry
>                                                                            (control 
>                                                                            "include")
>                                                                            (module 
>                                                                            "greetd"))))))))))
>                 (description "Swaylock pam configuration")
>                 (default-value '())))
>
> I do not know the policy in case of breaking changes, but if it 
> is
> easier we can roll back this change maybe ?
>
> Best
>
> Benjamin